Skip to main content
GET
Retrieve file
This page documents the Legacy API. For new integrations, use Retrieve File in the Current API.

Authorizations

Authorization
string
header
required

An Account API key, account-scoped JWT, App API key, or user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************.

Path Parameters

id
string
required

The unique identifier of the file to retrieve.

Example:

"file_xxxxxxxxxxxxx"

Response

A successful response

A file that has been uploaded or is pending upload.

content_type
string | null
required

The MIME type of the uploaded file (e.g., image/jpeg, video/mp4, audio/mpeg).

Example:

"image/jpeg"

filename
string | null
required

The original filename of the uploaded file, including its file extension.

Example:

"document.pdf"

id
string
required

The unique identifier for the file.

Example:

"file_xxxxxxxxxxxxx"

size
string | null
required

The file size in bytes. Null if the file has not finished uploading.

Example:

"123.45"

upload_status
enum<string>
required

The current upload status of the file (e.g., pending, ready).

Available options:
pending,
processing,
ready,
failed
url
string | null
required

The URL for accessing the file. For public files, this is a permanent CDN URL. For private files, this is a signed URL that expires. Null if the file has not finished uploading.

visibility
enum<string>
required

Whether the file is publicly accessible or requires authentication.

Available options:
public,
private